## How to contribute

#### **Did you find a bug?**

* **Do not open up a GitHub issue if the bug is a security vulnerability
  in Abyss Cassandra**, and instead to send a detailed email to security [at] apiportal.com.

* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/apiportal/abyss-cassandra/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/apiportal/abyss-cassandra/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.

* If possible, use the relevant bug report templates to create the issue. Simply copy the content of the appropriate template into a .md file, make the necessary changes to demonstrate the issue, and **paste the content into the issue description**:
  * [**Bug Report** issues](https://github.com/apiportal/abyss-cassandra/blob/master/.github/ISSUE_TEMPLATE/bug_report.md)
  * [**Feature Request** issues](https://github.com/apiportal/abyss-cassandra/blob/master/.github/ISSUE_TEMPLATE/feature_request.md)
  * [**Generic template** for other issues](https://github.com/apiportal/abyss-cassandra/blob/master/.github/ISSUE_TEMPLATE/custom.md)

#### **Did you write a patch that fixes a bug?**

* Open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

* Before submitting, please read the [Contributing to Abyss Cassandra](https://github.com/apiportal/abyss-cassandra/blob/master/contributing.md) guide to know more about coding conventions and benchmarks.

#### **Do you intend to add a new feature or change an existing one?**

* Suggest your change in the [apiportal mailing list](https://groups.google.com/forum/#!forum/apiportal) and start writing code.

* Do not open an issue on GitHub until you have collected positive feedback about the change. GitHub issues are primarily intended for bug reports and fixes.

#### **Do you have questions about the source code?**

* Ask any question about how to use Abyss Cassandra Application in the [apiportal mailing list](https://groups.google.com/forum/#!forum/apiportal).

#### **Do you want to contribute to the Abyss Cassandra documentation?**

* Please read [Contributing to Abyss Cassandra](https://github.com/apiportal/abyss-cassandra/blob/master/CONTRIBUTING.md).


Thanks! :heart: :heart: :heart:

Abyss Team